Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdmk
Class DefaultPaths

    java.lang.Object
      |
      +--com.sun.jdmk.DefaultPaths

public class DefaultPaths
extends java.lang.Object

This class represents a set of default directories used by Java DMK.

Method Summary
`static java.lang.String` | `getEtcDir()` Returns the `etc` directory for Java DMK.
`static java.lang.String` | `getEtcDir(java.lang.String dirname)` Returns the `etc` directory for Java DMK concatenated with dirname.
`static java.lang.String` | `getInstallDir()` Returns the installation directory for Java DMK.
`static java.lang.String` | `getInstallDir(java.lang.String dirname)` Returns the installation directory for Java DMK concatenated with dirname.
`static java.lang.String` | `getTmpDir()` Returns the `tmp` directory for the product.
`static java.lang.String` | `getTmpDir(java.lang.String dirname)` Returns the `tmp` directory for Java DMK concatenated with dirname.
`static void` | `setEtcDir(java.lang.String dirname)` Sets the `etc` directory for Java DMK.
`static void` | `setInstallDir(java.lang.String dirname)` Sets the installation directory for Java DMK.
`static void` | `setTmpDir(java.lang.String dirname)` Sets the `tmp` directory for the product

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstallDir

    public static java.lang.String getInstallDir()

  Returns the installation directory for Java DMK. The default value of the installation directory is:
  - `<base_dir> + File.separator + SUNWjdmk + File.separator + jdmk4.2 + File.separator + 1.2` or,
  - `System.getProperty("user.dir")` if the JDMK installation directory could not be derived from the `CLASSPATH`.
  Returns:
    Java DMK installation directory.

### getInstallDir

    public static java.lang.String getInstallDir(java.lang.String dirname)

  Returns the installation directory for Java DMK concatenated with dirname. The default value of the installation directory is:
  - `<base_dir> + File.separator + SUNWjdmk + File.separator + jdmk4.2 + File.separator + 1.2` or,
  - `System.getProperty("user.dir")` if the JDMK installation directory could not be derived from the `CLASSPATH`.
  Parameters:
    `dirname` - The directory to be appended.
  Returns:
    Java DMK installation directory + `File.separator` + `dirname`.

### setInstallDir

    public static void setInstallDir(java.lang.String dirname)

  Sets the installation directory for Java DMK.
  Parameters:
    `dirname` - The directory where Java DMK resides.

### getEtcDir

    public static java.lang.String getEtcDir()

  Returns the `etc` directory for Java DMK.

  The default value of the `etc` directory is:

  - `DefaultPaths.getInstallDir("etc")`.
  Returns:
    Java DMK `etc` directory.

### getEtcDir

    public static java.lang.String getEtcDir(java.lang.String dirname)

  Returns the `etc` directory for Java DMK concatenated with dirname.

  The default value of the `etc` directory is:

  - `DefaultPaths.getInstallDir("etc")`.
  Parameters:
    `dirname` - The directory to be appended.
  Returns:
    Java DMK `etc` directory + `File.separator` + `dirname`.

### setEtcDir

    public static void setEtcDir(java.lang.String dirname)

  Sets the `etc` directory for Java DMK.
  Parameters:
    `dirname` - The `etc` directory for Java DMK.

### getTmpDir

    public static java.lang.String getTmpDir()

  Returns the `tmp` directory for the product.

  The default value of the `tmp` directory is:

  - `DefaultPaths.getInstallDir("tmp")`.
  Returns:
    Java DMK `tmp` directory.

### getTmpDir

    public static java.lang.String getTmpDir(java.lang.String dirname)

  Returns the `tmp` directory for Java DMK concatenated with dirname.

  The default value of the `tmp` directory is:

  - `DefaultPaths.getInstallDir("tmp")`.
  Parameters:
    `dirname` - The directory to be appended.
  Returns:
    Java DMK `tmp` directory + `File.separator` + `dirname`.

### setTmpDir

    public static void setTmpDir(java.lang.String dirname)

  Sets the `tmp` directory for the product
  Parameters:
    `dirname` - The `tmp` directory for Java DMK.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD